<?php

if (user_access('forum_for_edit') && isset($_GET['act']) && isset($_GET['ok']) && $_GET['act'] == 'set' && isset($_POST['name']) && isset($_POST['opis']) && isset($_POST['pos'])) {

    $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
    if (strlen2($name) < 3) {
        $err = __('Слишком короткое название');
    }
    if (strlen2($name) > 32) {
        $err = __('Слишком днинное название');
    }
    $name = mysql_real_escape_string($name);
    if (!isset($_POST['icon']) || $_POST['icon'] == null) {
        $FIcon = 'default';
    } else {
        $FIcon = preg_replace('#[^a-z0-9 _\-\.]#i', null, $_POST['icon']);
    }

    $opis = esc(stripcslashes(htmlspecialchars($_POST['opis'])));
    if (isset($_POST['translit2']) && $_POST['translit2'] == 1) {
        $opis = translit($opis);
    }
    if (strlen2($opis) > 512) {
        $err = __('Слишком длинное описание');
    }
    $opis = mysql_real_escape_string($opis);

    $pos = intval($_POST['pos']);
    if (!isset($err)) {

        if ($user['level'] >= 3) {
            if (isset($_POST['adm']) && $_POST['adm'] == 1) {
                admin_log(__('Форум'), __('Подфорумы'), __('Подфорум') . " '" . htmlspecialchars($forum['name']) . "' " . __('только для администрации') . "");
                $adm = 1;
            } else {
                $adm = 0;
            }


            dbquery("UPDATE `forum_f` SET `adm` = '$adm' WHERE `id` = '$forum[id]' LIMIT 1");
        }


        if ($forum['name'] != $name) {
            admin_log(__('Форум'), __('Подфорумы'), __('Подфорум') . " '" . htmlspecialchars($forum['name']) . "' " . __('переименован в') . " '$name'");
        }
        if ($forum['opis'] != $opis) {
            admin_log(__('Форум'), __('Подфорумы'), __('Изменено описание подфорума') . " '$name'");
        }
        dbquery("UPDATE `forum_f` SET `name` = '$name', `opis` = '$opis',`icon`='$FIcon', `pos` = '$pos' WHERE `id` = '$forum[id]' LIMIT 1");
        $forum = dbassoc(dbquery("SELECT * FROM `forum_f` WHERE `id` = '$forum[id]' LIMIT 1"));
        msg(__('Изменения успешно приняты'));
        header("Location: /forum/$forum[id]/");
        exit;
    }
}

if (isset($_GET['act']) && isset($_GET['ok']) && $_GET['act'] == 'delete' && user_access('forum_for_delete')) {
    dbquery("DELETE FROM `forum_f` WHERE `id` = '$forum[id]'");
    dbquery("DELETE FROM `forum_r` WHERE `id_forum` = '$forum[id]'");
    dbquery("DELETE FROM `forum_t` WHERE `id_forum` = '$forum[id]'");
    dbquery("DELETE FROM `forum_p` WHERE `id_forum` = '$forum[id]'");

    admin_log(__('Форум'), __('Подфорумы'), __('Удаление подфорума') . " '" . htmlspecialchars($forum['name']) . "'");
    msg(__('Подфорум успешно удален'));

    err();

    header("Location: /forum/");
    exit;
}


if (user_access('forum_razd_create') && (isset($_GET['act']) && isset($_GET['ok']) && $_GET['act'] == 'new' && isset($_POST['name']))) {

    $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
    if (strlen2($name) < 2) {
        $err = __('Слишком короткое название');
    }
    if (strlen2($name) > 32) {
        $err = __('Слишком днинное название');
    }

    if (!isset($err)) {
        admin_log(__('Форум'), __('Разделы'), __('Создание раздела') . " '$name' " . __('в подфоруме') . " '$forum[name]'");
        dbquery("INSERT INTO `forum_r` (`id_forum`, `opis`,`name`, `time`) values('$forum[id]', '" . my_esc($_POST['opis']) . "','" . my_esc($name) . "', '$time')");
        msg(__('Раздел успешно создан'));
        header("Location: /forum/");
        exit;
    }
}
?>