
CREATE TABLE `menu` (
  `id` int(11) NOT NULL,
  `type` enum('link','razd') NOT NULL DEFAULT 'link',
  `name` varchar(32) NOT NULL,
  `url` varchar(32) NOT NULL,
  `counter` varchar(32) NOT NULL,
  `pos` int(11) NOT NULL,
  `icon` varchar(32) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Главное меню';

INSERT INTO `menu` (`id`, `type`, `name`, `url`, `counter`, `pos`, `icon`) VALUES
(1, 'link', 'Новости', '/news/', 'news/count.php', 1, 'rss-box'),
(2, 'link', 'Чат', '/chat/', 'chat/count.php', 7, 'chat'),
(4, 'link', 'Гостевая', '/guest/', 'guest/count.php', 9, 'pencil'),
(5, 'link', 'Зона обмена', '/obmen/', 'obmen/count.php', 5, 'folder-open-outline'),
(6, 'link', 'Форум', '/forum/', 'forum/count.php', 6, 'forum'),
(7, 'link', 'Фото', '/foto/', 'foto/count.php', 10, 'camera-image'),
(10, 'link', 'Блоги', '/plugins/notes/', 'plugins/notes/count.php', 8, 'book-open'),
(12, 'link', 'Знакомства', '/user/love/', '/user/love/count.php', 3, 'account-heart'),
(13, 'link', 'Информация', '/plugins/rules/', '', 12, 'information'),
(14, 'link', 'Пользователи', '/users/index.php', '/users/count.php', 11, 'account-multiple');

ALTER TABLE `menu`
  ADD PRIMARY KEY (`id`),
  ADD KEY `pos` (`pos`);

ALTER TABLE `menu`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
COMMIT;
